//+------------------------------------------------------------------+
//|                              xday breakout mod- 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
// #property copyright "Bill Sica"
// #property link      "http://www.tetsuyama.com"
#property indicator_chart_window
//---- input parameters
//extern string    AddToObjName="2";
extern int       hours1=14;
extern color  theColorUp      = Aqua;
extern color  theColorDn      = Magenta;
extern int    WidthUp         = 1;
extern int    WidthDn         = 1;
extern int UpStyle            = 0;
extern int DnStyle              = 0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double hour_high[];
   double hour_low[];
   double hourly_close;
   double phigh,plow;
   int i=1;
//---- TODO: add your code here
   ArrayResize(hour_high,hours1);
   ArrayResize(hour_low,hours1);
   
   
   ArrayInitialize(hour_high,0);
   ArrayInitialize(hour_low,0);
   ArrayCopySeries(hour_low, MODE_LOW, Symbol(), PERIOD_H1);
   ArrayCopySeries(hour_high, MODE_HIGH, Symbol(), PERIOD_H1);
/* initialise */
   plow=hour_low[1];
   phigh=hour_high[1];
//----
   for(i=1;i<hours1;i++)
     {
      if(plow>hour_low[i])
        {
         plow =hour_low[i];
        }
     }
   for(i=1;i<hours1;i++)
     {
      if(phigh<hour_high[i])
        {
         phigh =hour_high[i];
        }
     }
   Comment("\hourH ",phigh,"\hourL ",plow);
   //----
   ObjectDelete("hourHigh");
   ObjectDelete("hourLow");
   ObjectCreate("hourHigh", OBJ_HLINE,0, CurTime(),phigh);
   ObjectSet("hourHigh",OBJPROP_COLOR,theColorUp);
   ObjectSet("hourHigh",OBJPROP_STYLE,UpStyle);
   ObjectSet("hourHigh",OBJPROP_WIDTH,WidthUp);
   ObjectCreate("hourLow", OBJ_HLINE,0, CurTime(),plow);
   ObjectSet("hourLow",OBJPROP_COLOR,theColorDn);
   ObjectSet("hourLow",OBJPROP_STYLE,DnStyle);
   ObjectSet("hourLow",OBJPROP_WIDTH,WidthDn);
   //----
   ObjectsRedraw();
    return(0);
    
  }
//+------------------------------------------------------------------

